Subscribe the current organization to a competitor by URL.
Subscribe the current organization to a competitor by URL — Competitor Tracker & Co. API reference for POST /v1/competitors: request parameters, request body.
Required role: member or higher (organization-level).
Required scope: competitors:write (for both OAuth2 tokens and API keys).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/competitors" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com" }'{
"id": "string",
"url": "string",
"normalizedUrl": "string",
"name": "string",
"displayName": "string",
"trackedCategories": [
"string"
],
"addedAt": "string",
"updatedAt": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}List the current organization's competitor subscriptions. GET
List the current organization's competitor subscriptions — Competitor Tracker & Co. API reference for GET /v1/competitors: request parameters, request body.
Get a single competitor subscription belonging to the current organization. GET
Get a single competitor subscription belonging to the current organization — Competitor Tracker & Co. API reference for GET /v1/competitors/{id}: request.